StarCraft II - Patch 1.5 Mac OS X 10.5 No Longer Supported

Mac Technical Support
Prev 1 2 3 8 Next
Why sell us a game that we won't be able to play because you "update" it?
Been playing fine on 10.5.8 for 2 years, now I can't play at all??? At least let those who run this system have their own "outdated" version of starcraft.

If you are going to, literally, take the game away, give me my money back.

GRRRRRRR
Why sell us a game that we won't be able to play because you "update" it?
Been playing fine on 10.5.8 for 2 years, now I can't play at all??? At least let those who run this system have their own "outdated" version of starcraft.

If you are going to, literally, take the game away, give me my money back.

GRRRRRRR


Agreed.
Formal complaint letter anyone?
Yeah, I can't believe Blizzard is this unconcerned about a mass of customers that have made expensive purchases of their product. I bought a laptop for thousands of dollars a year-and-a-half ago, and you're telling me I can't run your game, when it came out pretty close to that time frame?

And I saw your representative's reasoning as well: "Due to technical issues with 10.5 etc. etc."...

Well guess what, that's the operating system a large portion of your customers have, and it's flat wrong to make them pay over a hundred dollars to continue playing a game they have all ready purchased. You're having technical issues? Bummer, but you can't just alienate a mass of your community because of it. The issue is, it will cost you more money to actually solve the technical issues you are having, while you do not make money on a monthly basis for Starcraft subscriptions.

So basically, you are revealing an official Blizzard policy: "We value our customers, unless we lose profits in doing so."

I'm not surprised, but I'm definitely never buying a Blizzard product again. Unless, hopefully, you make up for your massive f**kup, and make Starcraft 2 compatible with 10.5 somehow in the future.
You know what the worst part about this is? Apple doesn't even sell 10.6 (Snow Leopard) anymore. So the only solution for us is to buy it from Amazon for 29.99.

Dick move, blizzard.
can i seriously not even play single player on 10.5.8? i hate u
This is complete BullSh*t billzard. WTF, you can't just say sorry we can no longer support you, bye. wth man i play this game like every !@#$ing day....
07/31/2012 07:32 PMPosted by YEOMdaddy
This is complete BullSh*t billzard. WTF, you can't just say sorry we can no longer support you, bye. wth man i play this game like every !@#$ing day....


They don't care about their customers. It's as simple as that.
This is unethical. I can see a civil suit coming out of this for false advertisement. A game cannot advertise itself to work on a given system and then one day just stop working because the vendor says so.

If you are going to, literally, take the game away, give me my money back.


This.

This really should've been better planned out between Blizzard and Apple. Blizzard is leaving us out in the cold by forcing us to upgrade our computers and spend money doing it. When we turn to Apple to do this, they shut us out as well by not giving us a chance to update.

The least the two companies can do is offer us a way to upgrade our software that would make it easier (read as: downloadable online and cheap) to continue playing the game we love. If that does not happen, then someone needs to be responsible and pay up for their actions. Mac users should be entitled to a full refund from Blizzard if they are on 10.5.8, or a free software update with Apple. If they want to show they really care about their customers, they would do this as a token of appreciation (and money we send them).
If you are upgrading from 10.5.8 to snow leopard, which is 10.6, do not buy from amazon, ebay or any other. While apple no longer carries the disc on their online store, which is the only way to install snow leopard, you can still call 1-800-my-apple and have it freely shipped to you for 30 bucks.

system requirements should be looked at before purchase but they will go over that with you on the phone. Also I dont think these system requirements will be obsolete after you purchase the disk but who knows what major corporations will spring on you.
So no more Starcraft or Brood Wars on the same Mac as Starcraft 2?
This sucks. Please fix it so that I can at least play offline by myself. My system worked fine. Never crashed. And I loved playing. I have no interest in upgrading my computer system for a game.
I would also like to know before my purchase if my graphics card will need to support OpenCL a new feature in 10.6 that is not necessary to run.
id rather buy an xbox than deal with all that hassle
ayo fix this or GIVE ME MY MONEY BACK
07/31/2012 08:48 PMPosted by ZergBurger
id rather buy an xbox than deal with all that hassle


You do realize that Activision owns both Blizzard and Treyarch/Infinity Ward? Hard to boycot when you play their games on XBOX too (unless of course you don't play CoD)
It seems today is a sad day for Mac users. We are tired of every patch being a nightmare that might end in failure. Please continue to support 10.5.8, as was stated in the system specifications for this game. If this is changed, then it is unfair to us! I wasted my whole day trying to figure out how to get the starcraft patcher to work, then I figured out it was my operating system when I found this forum. I'm calling on anyone that has problems with blizzard for this shinaniganry to get angry and make a post on this forum.
asking for support of 10.5.8 is like asking for the impossible, in fact, 10.6.8 support is on way out at this point. You have to understand this isn't a windows world, old os versions do not get continued support, from apple, or ANYONE else (such as how windows still gets ati/nvidia graphics driver updates that fix bugs for latest games, that same thing does NOT happen for mac OS X. ati and nvidia are going to make sure their cards work for windows xp, vista, windows 7 and windows 8. no one at all is going ot make sure nvidia or ati cards are going to work for anyting but 10.7 and 10.8. blizzard doesn't make video drivers. they make games, they count on the OS maker (apple) to fix issues that arrise from games that move forward. (yes, games move forward they evolve, they add features,etc)..to put bluntly. 10.5.8 is obsolete and dead, it recieves zero support from ANYONE, not apple not anyone. TO make games run on something so obsolete is asking too much.

Try firing up sc2 on a windows PC that hasn't had an update of ANY kind in 3 years and see if the game runs correctly. I bet you the game refuses to run, stating your video driver is out of date. pretty sure the windows version requires updates too. or any other game. is going to ask that you update video drivers. That's exactly what blizzard is asking for, the big difference is, the only way to do that is to update the whole OS. If you are unappy with this, you need to contact apple about their support policies and how they are vastly inferior to MS (microsoft has a 5 year OS support plan, apple drops it day it's depricated by newer version, and offers 2 years of security updates only, if even that).
This is BS. I probably hundreds of hours invested in this game. All of them have been on my Mac 10.5 operating system. This new patch broke my game. I can't even play offline now. Now I have to update my whole operating system because of this? Gimme a friggin break. I'm shocked. I've never had to deal with something this ridiculous with any other game before.

Join the Conversation

Return to Forum